# pyetbd

This is an open-source Python package to implement McDowell's (2004) Evolutionary Theory of Behavior Dynamics. See McDowell (2019) for a review of the ETBD.

The package is currently under development. This version has successfully replicated the results of McDowell et al. (2008). It is not recommended to run experiments for publication until the package has been validated by replicating more results from the literature.

Visit the [pyetbd Wiki](https://github.com/ryhigg/pyETBD/wiki) for more info!

> **Note**: This package is currently not compatible with Python 3.12. Python 3.11.7 is the recommended version.

# References

McDowell, J. J (2004). A computational model of selection by consequences. Journal of the Experimental Analysis of Behavior, 81(3), 297-317. https://doi.org/10.1901/jeab.2004.81-297

McDowell, J. J (2019), On the current status of the evolutionary theory of behavior dynamics. Journal of the Experimental Analysis of Behavior, 111: 130-145. https://doi.org/10.1002/jeab.495

McDowell, J. J, Caron, M. L., Kulubekova, S., & Berg, J. P. (2008). A computational theory of selection by consequences applied to concurrent schedules. Journal of the Experimental Analysis of Behavior, 90(3), 387-403. https://doi.org/10.1901/jeab.2008.90-387
